begin transaction
SET ANSI_PADDING OFF
if exists (select * from sysobjects where name = 'EVENTHDR'  and type = 'U')
drop table EVENTHDR
go
create table EVENTHDR
(
EVENT_KEY decimal( 9,0) IDENTITY (1, 1) NOT NULL
,EVENT_DESCRIPTION VARCHAR(30) default '' NOT NULL
,EVENT_DATE datetime NULL
,PROIVKEY VARCHAR(8) default '' NOT NULL
)
go
create unique clustered index IND_EVENTHDR on EVENTHDR (
EVENT_KEY
)
go
ALTER TABLE EVENTHDR WITH NOCHECK ADD
 CONSTRAINT [PK_EVENTHDR] PRIMARY KEY NONCLUSTERED
(
EVENT_KEY
) ON [PRIMARY]
go
commit transaction
go
